diff --git a/api-reference/endpoint/chat/completions.mdx b/api-reference/endpoint/chat/completions.mdx index 56ff0b3a..e004da1e 100644 --- a/api-reference/endpoint/chat/completions.mdx +++ b/api-reference/endpoint/chat/completions.mdx @@ -5,6 +5,18 @@ openapi: 'POST /chat/completions' "og:description": "Documentation covering Venice's chat completions API." --- + + **Venice-specific parameters live in [`venice_parameters`](#body-venice-parameters).** This endpoint is OpenAI-compatible, but the `venice_parameters` object unlocks features that aren't part of the standard OpenAI API — and many integrators miss them: + + - **Web search & citations** — `enable_web_search`, `enable_web_citations`, `enable_web_scraping` + - **Character personas** — `character_slug` + - **System prompt control** — `include_venice_system_prompt` + - **Reasoning controls** — `disable_thinking`, `strip_thinking_response` + - **Privacy** — `enable_e2ee` + + See the full list in the [`venice_parameters`](#body-venice-parameters) section below. + + ## Postman Collection For additional examples, please see this [Postman Collection](https://www.postman.com/veniceai/workspace/venice-ai-workspace/folder/38652128-5a71391b-5dd8-4fe8-80be-197a958907fe?action=share&creator=38652128&ctx=documentation&active-environment=38652128-ef110f4e-d3e1-43b5-8029-4d6877e62041).